---
type: api
title: Get agent uploads
description: Get a list of files uploaded by a specific agent.<br/><br/>[Required authorization] Route required privileges: fleet-agents-read.
url: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-agents-agentid-uploads
resource: https://www.elastic.co/elastic/docs-builder/docs/4371/api/doc/kibana/v0/operation/operation-get-fleet-agents-agentid-uploads
products:
  - Kibana
---

# Get agent uploads

- Server: `https://{kibana_url}`

## Paths

- `GET` `/api/fleet/agents/{agentId}/uploads`

- [Api key auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#apikeyauth)
- [Basic auth](/elastic/docs-builder/docs/4371/api/doc/kibana/v0/authentication#basicauth)

#### Path Parameters

- `agentId` (string)
  The agent ID

## Description

Get a list of files uploaded by a specific agent.<br/><br/>[Required authorization] Route required privileges: fleet-agents-read.

## Responses

#### `200`

Successful response

`application/json`

- `items` ([] object · max: 10000)
  - `actionId` (string)
  - `createTime` (string)
  - `error` (string)
  - `filePath` (string)
  - `id` (string)
  - `name` (string)
  - `status` (enum)
    Values: `READY`, `AWAITING_UPLOAD`, `DELETED`, `EXPIRED`, `IN_PROGRESS`, `FAILED`
#### `400`

Bad Request

`application/json`

- `attributes` (object)
- `error` (string)
- `errorType` (string)
- `message` (string)
- `statusCode` (number)
## Code Examples

#### Console

```console
GET /api/fleet/agents/{agentId}/uploads
```

#### curl

```curl
curl -X GET "https://{kibana_url}/api/fleet/agents/{agentId}/uploads"
```

## Response Examples

#### Get agent uploads

List of files uploaded by the agent

```json
{
  "items": [
    {
      "actionId": "action-id-1",
      "createTime": "2024-01-01T00:00:00.000Z",
      "filePath": "/tmp/diagnostics-2024-01-01.zip",
      "id": "file-id-1",
      "name": "diagnostics-2024-01-01.zip",
      "status": "READY"
    }
  ]
}
```

#### Generic error response

Example of a generic error response

```json
{
  "error": "Bad Request",
  "message": "An error message describing what went wrong",
  "statusCode": 400
}
```

